<template>
  <q-page class="q-pa-sm">
    <div class="text-h4">{{ title }}</div>
    <div class="q-pa-sm">
      <q-card>
        <q-card-section>
          <q-breadcrumbs>
            <q-breadcrumbs-el
              :label="breadcrumb"
              v-for="breadcrumb in breadcrumbs"
              :key="breadcrumb"
            />
          </q-breadcrumbs>
        </q-card-section>
      </q-card>
    </div>
    <div class="q-pa-sm">
      <slot></slot>
    </div>
  </q-page>
</template>

<script>
export default {
  name: 'AdminPageTemplate',

  props: {
    title: {
      type: String,
      required: true,
    },
    breadcrumbs: {
      type: Array,
      required: true,
    },
  },
};
</script>
